@echo off

echo Removing Application
ver | findstr /i "5\.0\." > nul
IF %ERRORLEVEL% EQU 0 (
    REM Windows 2000
    exit 2
)

ver | findstr /i "5\.1\." > nul
IF %ERRORLEVEL% EQU 0 (
    REM Windows XP
    goto WINXP
)

ver | findstr /i "5\.2\." > nul
IF %ERRORLEVEL% EQU 0 (
    REM Windows Server 2003 (no binaries yet)
    exit 2
)

ver | findstr /i "6\.0\." > nul
IF %ERRORLEVEL% EQU 0 (
    REM Windows Vista
    goto WINVISTA2008
)
exit 3

:WINXP
if exist "%SystemRoot%\ie8\spuninst\spuninst.exe" (
  start /wait "Uninstall" "%SystemRoot%\ie8\spuninst\spuninst.exe" /quiet /norestart
  del "%SystemRoot%\ie8_main.log"
) else (
  exit 2
)
goto end

:WINVISTA2008
FORFILES /P %SystemRoot%\servicing\Packages /M Microsoft-Windows-InternetExplorer-8*.mum /c "cmd /c echo Uninstalling package @fname && start /w pkgmgr /up:@fname /norestart"
del "%SystemRoot%\ie8_main.log"
goto end

:end
